  CHKIF processes .ASM, .Z80 or .PRN files, checking that 
  the IF-ELSE-ENDIF statements are matched properly. 
  It also handles MACRO/REPT/IRP/IRPC-EXITM-ENDM pseudo-ops,
  and takes the multi-statement lines of ASM and MAC, etc.
  provided they are delimited with exclamation marks!
seudo-ops,
  and takes the multi-statement lines of ASM and MAC, etc.
  provided they are